Upstream information

CVE-2018-16509 at MITRE

Description

An issue was discovered in Artifex Ghostscript before 9.24. Incorrect "restoration of privilege" checking during handling of /invalidaccess exceptions could be used by attackers able to supply crafted PostScript to execute code using the "pipe" instruction.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.3
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Local Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1107410 [RESOLVED / FIXED], 1108027 [RESOLVED / FIXED], 1118318 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
SUSE OpenStack Cloud 7
  • ghostscript >= 9.25-23.13.1
  • ghostscript-x11 >= 9.25-23.13.1
SUSE Linux Enterprise Build System Kit 12 SP3
  • ghostscript-mini >= 9.25-23.13.1
  • ghostscript-mini-devel >= 9.25-23.13.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • ghostscript >= 9.27-23.28.1
  • ghostscript-x11 >= 9.27-23.28.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • ghostscript >= 9.26a-3.15.1
  • ghostscript-devel >= 9.26a-3.15.1
  • ghostscript-x11 >= 9.26a-3.15.1
SUSE Linux Enterprise Module for Basesystem 15
  • ghostscript >= 9.25-3.6.1
  • ghostscript-devel >= 9.25-3.6.1
  • ghostscript-x11 >= 9.25-3.6.1
SUSE Linux Enterprise Module for Desktop Applications 15
  • libspectre >= 0.2.8-3.2.1
  • libspectre-devel >= 0.2.8-3.2.1
  • libspectre1 >= 0.2.8-3.2.1
SUSE Linux Enterprise Point of Sale 11 SP3
SUSE Linux Enterprise Server 11 SP3-LTSS
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • ghostscript-fonts-other >= 8.62-32.47.13.1
  • ghostscript-fonts-rus >= 8.62-32.47.13.1
  • ghostscript-fonts-std >= 8.62-32.47.13.1
  • ghostscript-library >= 8.62-32.47.13.1
  • ghostscript-omni >= 8.62-32.47.13.1
  • ghostscript-x11 >= 8.62-32.47.13.1
  • libgimpprint >= 4.2.7-32.47.13.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ghostscript-devel >= 8.62-32.47.13.1
  • ghostscript-ijs-devel >= 8.62-32.47.13.1
  • ghostscript-library >= 8.62-32.47.13.1
  • libgimpprint-devel >= 4.2.7-32.47.13.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ghostscript >= 9.25-23.13.1
  • ghostscript-devel >= 9.25-23.13.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ghostscript-devel >= 9.25-23.13.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • ghostscript-devel >= 9.27-23.28.1
openSUSE Leap 15.0
  • ghostscript >= 9.25-lp150.2.6.1
  • ghostscript-debuginfo >= 9.25-lp150.2.6.1
  • ghostscript-debugsource >= 9.25-lp150.2.6.1
  • ghostscript-devel >= 9.25-lp150.2.6.1
  • ghostscript-mini >= 9.25-lp150.2.6.1
  • ghostscript-mini-debuginfo >= 9.25-lp150.2.6.1
  • ghostscript-mini-debugsource >= 9.25-lp150.2.6.1
  • ghostscript-mini-devel >= 9.25-lp150.2.6.1
  • ghostscript-x11 >= 9.25-lp150.2.6.1
  • ghostscript-x11-debuginfo >= 9.25-lp150.2.6.1
  • libspectre-debugsource >= 0.2.8-lp150.2.3.1
  • libspectre-devel >= 0.2.8-lp150.2.3.1
  • libspectre1 >= 0.2.8-lp150.2.3.1
  • libspectre1-debuginfo >= 0.2.8-lp150.2.3.1
Patchnames:
openSUSE-2019-759
openSUSE Leap 42.3
  • ghostscript >= 9.25-14.9.1
  • ghostscript-debuginfo >= 9.25-14.9.1
  • ghostscript-debugsource >= 9.25-14.9.1
  • ghostscript-devel >= 9.25-14.9.1
  • ghostscript-mini >= 9.25-14.9.1
  • ghostscript-mini-debuginfo >= 9.25-14.9.1
  • ghostscript-mini-debugsource >= 9.25-14.9.1
  • ghostscript-mini-devel >= 9.25-14.9.1
  • ghostscript-x11 >= 9.25-14.9.1
  • ghostscript-x11-debuginfo >= 9.25-14.9.1
Patchnames:
openSUSE-2018-1122


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 ghostscript Released
SUSE Linux Enterprise Module for Basesystem 15 GA ghostscript Already fixed
SUSE Linux Enterprise SDK 11 SP4 ghostscript-library Released
SUSE Linux Enterprise SDK 12 SP3 ghostscript Released
SUSE Linux Enterprise Server 11 SP3 LTSS ghostscript-library Released
SUSE Linux Enterprise Server 11 SP4 ghostscript-library Released
SUSE Linux Enterprise Server 12 GA LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP1 LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP2 LTSS ghostscript Released
SUSE Linux Enterprise Server 12 SP3 ghostscript Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 ghostscript-library Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ghostscript Released